/// <reference types="react" />
import * as React from 'react';
import { I18nBundle } from 'pretur.i18n';
import { Navigator } from './navigator';
export interface NavPagePassedProps<TState> {
    mutex: string;
    parent: string | undefined;
    path: string;
    state: TState;
    title: I18nBundle;
    navigator: Navigator;
}
export interface NavPageProps {
    navigator: Navigator;
    mutex?: string;
}
export declare function NavPage({navigator, mutex}: NavPageProps): React.ReactElement<NavPagePassedProps<any>>;
